# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 4.1

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/ganome/Projects/SCAR-719/repos/scar-chat7

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/ganome/Projects/SCAR-719/repos/scar-chat7/build

# Include any dependencies generated for this target.
include dbmanager/CMakeFiles/dbmanager.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include dbmanager/CMakeFiles/dbmanager.dir/compiler_depend.make

# Include the progress variables for this target.
include dbmanager/CMakeFiles/dbmanager.dir/progress.make

# Include the compile flags for this target's objects.
include dbmanager/CMakeFiles/dbmanager.dir/flags.make

dbmanager/CMakeFiles/dbmanager.dir/codegen:
.PHONY : dbmanager/CMakeFiles/dbmanager.dir/codegen

dbmanager/CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.o: dbmanager/CMakeFiles/dbmanager.dir/flags.make
dbmanager/CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.o: dbmanager/dbmanager_autogen/mocs_compilation.cpp
dbmanager/CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.o: dbmanager/CMakeFiles/dbmanager.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object dbmanager/CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT dbmanager/CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.o -MF CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.o.d -o CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager/dbmanager_autogen/mocs_compilation.cpp

dbmanager/CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager/dbmanager_autogen/mocs_compilation.cpp > CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.i

dbmanager/CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager/dbmanager_autogen/mocs_compilation.cpp -o CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.s

dbmanager/CMakeFiles/dbmanager.dir/main.cpp.o: dbmanager/CMakeFiles/dbmanager.dir/flags.make
dbmanager/CMakeFiles/dbmanager.dir/main.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/dbmanager/main.cpp
dbmanager/CMakeFiles/dbmanager.dir/main.cpp.o: dbmanager/CMakeFiles/dbmanager.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object dbmanager/CMakeFiles/dbmanager.dir/main.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT dbmanager/CMakeFiles/dbmanager.dir/main.cpp.o -MF CMakeFiles/dbmanager.dir/main.cpp.o.d -o CMakeFiles/dbmanager.dir/main.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/dbmanager/main.cpp

dbmanager/CMakeFiles/dbmanager.dir/main.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/dbmanager.dir/main.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/dbmanager/main.cpp > CMakeFiles/dbmanager.dir/main.cpp.i

dbmanager/CMakeFiles/dbmanager.dir/main.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/dbmanager.dir/main.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/dbmanager/main.cpp -o CMakeFiles/dbmanager.dir/main.cpp.s

dbmanager/CMakeFiles/dbmanager.dir/db_manager.cpp.o: dbmanager/CMakeFiles/dbmanager.dir/flags.make
dbmanager/CMakeFiles/dbmanager.dir/db_manager.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/dbmanager/db_manager.cpp
dbmanager/CMakeFiles/dbmanager.dir/db_manager.cpp.o: dbmanager/CMakeFiles/dbmanager.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object dbmanager/CMakeFiles/dbmanager.dir/db_manager.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT dbmanager/CMakeFiles/dbmanager.dir/db_manager.cpp.o -MF CMakeFiles/dbmanager.dir/db_manager.cpp.o.d -o CMakeFiles/dbmanager.dir/db_manager.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/dbmanager/db_manager.cpp

dbmanager/CMakeFiles/dbmanager.dir/db_manager.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/dbmanager.dir/db_manager.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/dbmanager/db_manager.cpp > CMakeFiles/dbmanager.dir/db_manager.cpp.i

dbmanager/CMakeFiles/dbmanager.dir/db_manager.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/dbmanager.dir/db_manager.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/dbmanager/db_manager.cpp -o CMakeFiles/dbmanager.dir/db_manager.cpp.s

dbmanager/CMakeFiles/dbmanager.dir/__/server/database/database.cpp.o: dbmanager/CMakeFiles/dbmanager.dir/flags.make
dbmanager/CMakeFiles/dbmanager.dir/__/server/database/database.cpp.o: /home/ganome/Projects/SCAR-719/repos/scar-chat7/server/database/database.cpp
dbmanager/CMakeFiles/dbmanager.dir/__/server/database/database.cpp.o: dbmanager/CMakeFiles/dbmanager.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object dbmanager/CMakeFiles/dbmanager.dir/__/server/database/database.cpp.o"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT dbmanager/CMakeFiles/dbmanager.dir/__/server/database/database.cpp.o -MF CMakeFiles/dbmanager.dir/__/server/database/database.cpp.o.d -o CMakeFiles/dbmanager.dir/__/server/database/database.cpp.o -c /home/ganome/Projects/SCAR-719/repos/scar-chat7/server/database/database.cpp

dbmanager/CMakeFiles/dbmanager.dir/__/server/database/database.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/dbmanager.dir/__/server/database/database.cpp.i"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/ganome/Projects/SCAR-719/repos/scar-chat7/server/database/database.cpp > CMakeFiles/dbmanager.dir/__/server/database/database.cpp.i

dbmanager/CMakeFiles/dbmanager.dir/__/server/database/database.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/dbmanager.dir/__/server/database/database.cpp.s"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/ganome/Projects/SCAR-719/repos/scar-chat7/server/database/database.cpp -o CMakeFiles/dbmanager.dir/__/server/database/database.cpp.s

# Object files for target dbmanager
dbmanager_OBJECTS = \
"CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.o" \
"CMakeFiles/dbmanager.dir/main.cpp.o" \
"CMakeFiles/dbmanager.dir/db_manager.cpp.o" \
"CMakeFiles/dbmanager.dir/__/server/database/database.cpp.o"

# External object files for target dbmanager
dbmanager_EXTERNAL_OBJECTS =

dbmanager/dbmanager: dbmanager/CMakeFiles/dbmanager.dir/dbmanager_autogen/mocs_compilation.cpp.o
dbmanager/dbmanager: dbmanager/CMakeFiles/dbmanager.dir/main.cpp.o
dbmanager/dbmanager: dbmanager/CMakeFiles/dbmanager.dir/db_manager.cpp.o
dbmanager/dbmanager: dbmanager/CMakeFiles/dbmanager.dir/__/server/database/database.cpp.o
dbmanager/dbmanager: dbmanager/CMakeFiles/dbmanager.dir/build.make
dbmanager/dbmanager: dbmanager/CMakeFiles/dbmanager.dir/compiler_depend.ts
dbmanager/dbmanager: shared/libscarchat_shared.a
dbmanager/dbmanager: /usr/lib64/libsqlite3.so
dbmanager/dbmanager: /usr/lib64/libboost_system.so.1.88.0
dbmanager/dbmanager: /usr/lib64/libboost_thread.so.1.88.0
dbmanager/dbmanager: third_party/libargon2_lib.a
dbmanager/dbmanager: /usr/lib64/libssl.so
dbmanager/dbmanager: /usr/lib64/libcrypto.so
dbmanager/dbmanager: dbmanager/CMakeFiles/dbmanager.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/home/ganome/Projects/SCAR-719/repos/scar-chat7/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Linking CXX executable dbmanager"
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/dbmanager.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
dbmanager/CMakeFiles/dbmanager.dir/build: dbmanager/dbmanager
.PHONY : dbmanager/CMakeFiles/dbmanager.dir/build

dbmanager/CMakeFiles/dbmanager.dir/clean:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager && $(CMAKE_COMMAND) -P CMakeFiles/dbmanager.dir/cmake_clean.cmake
.PHONY : dbmanager/CMakeFiles/dbmanager.dir/clean

dbmanager/CMakeFiles/dbmanager.dir/depend:
	cd /home/ganome/Projects/SCAR-719/repos/scar-chat7/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/ganome/Projects/SCAR-719/repos/scar-chat7 /home/ganome/Projects/SCAR-719/repos/scar-chat7/dbmanager /home/ganome/Projects/SCAR-719/repos/scar-chat7/build /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager /home/ganome/Projects/SCAR-719/repos/scar-chat7/build/dbmanager/CMakeFiles/dbmanager.dir/DependInfo.cmake "--color=$(COLOR)"
.PHONY : dbmanager/CMakeFiles/dbmanager.dir/depend

